**Creating box-plot
cd "$dataPath/ConstructedData"
set more off
use panel_use, clear

global ctrls2 "lrwage lrwage_land_reg_avg ur lpop dep_ratio black_pop hispan_pop dlcpi dom_mig_pop int_mig_pop dlrmort_org l1.dlrinc_cap cv_inc_cap20"

eststo clear
xtset msa_num time
foreach z in dum06 dum19 {
sort msa_num time

sort msa_num time
ivreghdfe lpermits l(1/1).lpermits $ctrls2  (lrhpi lrhpi_land_reg_avg = lprop_crime lprop_crime_land_reg_avg lrinc lrinc_land_reg_avg) if `z'==1 & sample==1, robust absorb(msa_num time)

g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_`z' = (msa_nr == 1 & in_sample == 1)
qui replace elast =_b[lrhpi] + _b[lrhpi_land_reg_avg]*land_reg_avg if `z'==1 & sample==1 & in_sample == 1
tabstat elast if `z'==1,stat(p10 p50 p90) format(%9.2f)
drop in_sample msa_nr 
}

g elast06_help = elast if msa_dum06  == 1 
bysort msa_num : egen elast06 = median(elast06_help)
g elast19_help = elast if msa_dum19 == 1
bysort msa_num : egen elast19 = median(elast19_help)

bysort msa_num : g dup_msa = _n
keep if dup_msa == 1


g Delast = elast19-elast06


preserve 
keep msa_num msa elast06
ren elast06 elast
g cate = 1 
save elast06_landuse, replace
restore

preserve 
keep msa_num elast19
ren elast19 elast
g cate = 2 
save elast19_landuse, replace
restore

preserve 
keep msa_num Delast
ren Delast elast
g cate = 3
save Delast_landuse, replace
restore

use elast06_landuse, clear
append using elast19_landuse
append using Delast_landuse


label define cate 1 "1996-2006", replace
label define cate 2 "2012-2019", add
label define cate 3 "Change", add
label val cate cate

sum elast if cate == 1, det
local med_elast06 = round(r(p50),0.01)
sum elast if cate == 2, det
local med_elast19 = round(r(p50),0.01)
sum elast if cate == 3, det
local med_delast = round(r(p50),0.01)

egen median_elast = median(elast), by(cate)
replace median_elast = round(median_elast,0.001) 
gen cate2 = cate + 0.45
gen showmedian = string(median_elast, "%9.2f") 


stripplot elast, over(cate) box(fcolor(eltblue) barw(0.5) ) vertical ms(none) pctile(10) ///
addplot(scatter median_elast cate2, ms(none ..)  mlabsize(*1.2) mlabpos(9) ///
mla(showmedian) mlabcolor(black..)) xsc(r(. 1.2)) xla(, noticks)  yli(0)   ytitle("Elasticity") yla(-3 "-3" -2 "-2" -1 "-1" 0 "0" 1 "1" 2 "2" 3 "3" 4 "4") note("") xtitle("")

cd "$outputFigures"
graph export "Figure_C4.pdf", replace
