*INCOME AS A FORECASTING INDICATOR OF FUTURE DEMAND
cd "$dataPath/ConstructedData"
set more off
use panel_use, clear


preserve
keep if (year == 1996 & quarter == 4) | (year == 2006 & quarter == 4)

sort msa year
bysort msa : g Drhpi = 100*(rhpi - rhpi[_n-1])/rhpi[_n-1]
g Drhpi_us = 100*(us_rhpi-us_rhpi[_n-1])/us_rhpi[_n-1]
keep if Drhpi != .

foreach var in 50 10 25 75 90 {
egen p`var'_Drhpi = pctile(Drhpi), p(`var')    
format p`var'_Drhpi  %9.1f
}

g dum_pos_Drhpi = Drhpi  > 0 
egen tot_pos = total(dum_pos_Drhpi)
g tot = _N 

keep Drhpi_us p50_Drhpi p10_Drhpi p25_Drhpi p75_Drhpi p90_Drhpi tot tot_pos
order Drhpi_us p50_Drhpi p10_Drhpi p25_Drhpi p75_Drhpi p90_Drhpi tot tot_pos
format Drhpi_us %9.1f
keep if _n == 1
save Dph_1996_2006, replace
restore

preserve
keep if (year == 2006 & quarter == 4) | (year == 2012 & quarter == 2)

sort msa year
bysort msa : g Drhpi = 100*(rhpi - rhpi[_n-1])/rhpi[_n-1]
g Drhpi_us = 100*(us_rhpi-us_rhpi[_n-1])/us_rhpi[_n-1]
keep if Drhpi != .

foreach var in 50 10 25 75 90 {
egen p`var'_Drhpi = pctile(Drhpi), p(`var')    
format p`var'_Drhpi  %9.1f
}

g dum_pos_Drhpi = Drhpi  > 0 
egen tot_pos = total(dum_pos_Drhpi)
g tot = _N 

keep Drhpi_us p50_Drhpi p10_Drhpi p25_Drhpi p75_Drhpi p90_Drhpi tot tot_pos
order Drhpi_us p50_Drhpi p10_Drhpi p25_Drhpi p75_Drhpi p90_Drhpi tot tot_pos
format Drhpi_us %9.1f
keep if _n == 1
save Dph_2006_2012, replace
restore

preserve
keep if (year == 2012 & quarter == 2) | (year == 2019 & quarter == 4)

sort msa year
bysort msa : g Drhpi = 100*(rhpi - rhpi[_n-1])/rhpi[_n-1]
g Drhpi_us = 100*(us_rhpi-us_rhpi[_n-1])/us_rhpi[_n-1]
keep if Drhpi != .

foreach var in 50 10 25 75 90 {
egen p`var'_Drhpi = pctile(Drhpi), p(`var')    
format p`var'_Drhpi  %9.1f
}

g dum_pos_Drhpi = Drhpi  > 0 
egen tot_pos = total(dum_pos_Drhpi)
g tot = _N 

keep Drhpi_us p50_Drhpi p10_Drhpi p25_Drhpi p75_Drhpi p90_Drhpi tot tot_pos
order Drhpi_us p50_Drhpi p10_Drhpi p25_Drhpi p75_Drhpi p90_Drhpi tot tot_pos
format Drhpi_us %9.1f
keep if _n == 1
save Dph_2012_2019, replace
restore



use Dph_1996_2006, clear
append using Dph_2006_2012
append using Dph_2012_2019

cd "$outputTables"
list
listtab * using "Table A1.tex", delim(&) rstyle(tabular)  replace
