cd "$dataPath/ConstructedData"
use panel_use, clear

** Baseline with stable income growth 
eststo clear
xtset msa_num time
foreach z in dum06 dum19 {
sort msa_num time

sort msa_num time
ivreghdfe lpermits l(1/1).lpermits $ctrls  (lrhpi lrhpi_unaval lrhpi_wrluri = lprop_crime lprop_crime_wrluri lprop_crime_unaval lrinc lrinc_wrluri lrinc_unaval) if `z'==1 & sample==1, robust absorb(msa_num time)

g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_`z' = (msa_nr == 1 & in_sample == 1)

qui replace elast =_b[lrhpi] + _b[lrhpi_unaval]*unaval + _b[lrhpi_wrluri]*wrluri if `z'==1 & sample==1 

tabstat elast if `z'==1,stat(p10 p50 p90) format(%9.2f)
drop in_sample msa_nr 
}

g elast06_help = elast if dum06 == 1
bysort msa_num : egen elast06 = median(elast06)
g elast19_help = elast if dum19 == 1
bysort msa_num : egen elast19 = median(elast19)

*Change in elast between  booms
g delast_booms = elast19 - elast06

*Create medians 
qui foreach v in 06 19{
	qui sum elast`v',detail
	qui gen elast`v'_med = r(p50)
}
qui sum delast_booms,detail
qui gen delast_booms_med = r(p50)
qui gen delast_booms_mean = r(mean)

**How many of these do we need? 
qui foreach w in dus_gs1 dus_gs2 ffs3m_shock ffr_sw fg_sw lsap_sw gazzani {
	gen `w'_elast = `w'*elast
	gen `w'_delast_booms = `w'*delast_booms
}





