*EXOGENEITY TESTS FOR THE INSTRUMENTS (Mian and Sufi, 2011, 2014; Stroebel and Vavra, 2018)
*WAGE GROWTH AND HOUSE PRICE INSTRUMENTS
cd "$dataPath/ConstructedData"
set more off
use panel_use, clear
eststo clear
xtset msa_num time

**1996-2006

ivreghdfe lpermits l(1/1).lpermits $ctrls_no_int (lrhpi = lprop_crime lrinc) if dum06 ==1 & sample==1, robust absorb(msa_num time)
g in_sample_06 =  e(sample)

ivreghdfe lpermits l(1/1).lpermits $ctrls_no_int (lrhpi = lprop_crime lrinc) if dum19 ==1 & sample==1, robust absorb(msa_num time)
g in_sample_19 =  e(sample)


sort msa_num time
ivreghdfe dlrwage lprop_crime lrinc if dum06 == 1 & sample == 1 & in_sample_06 == 1,  absorb(statenr time) robust 
g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_dum = (msa_nr == 1 & in_sample == 1)
egen nr_msas = total(msa_dum)
estadd scalar msas = nr_msas
drop in_sample msa_nr msa_dum nr_msas 
eststo output1

**2012-2019
sort msa_num time
ivreghdfe dlrwage lprop_crime lrinc if dum19 == 1 & sample == 1 & in_sample_19,  absorb(statenr time) robust 
g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_dum = (msa_nr == 1 & in_sample == 1)
egen nr_msas = total(msa_dum)
estadd scalar msas = nr_msas
drop in_sample msa_nr msa_dum nr_msas 
eststo output2

**Full sample
sort msa_num time
ivreghdfe dlrwage lprop_crime lrinc if sample == 1,  absorb(statenr time) robust 
g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_dum = (msa_nr == 1 & in_sample == 1)
egen nr_msas = total(msa_dum)
estadd scalar msas = nr_msas
drop in_sample msa_nr msa_dum nr_msas 
eststo output3


cd "$outputTables"
esttab output1 output2 output3 using Table_1.tex, keep(lprop_crime lrinc) f replace ///
b(2) se(2) sfmt(2) noobs se label coeflabels(lprop_crime "log(Crime)" lrinc "log(Income)")  mtitles("1996-2006" "2012-2019" "1996-2019") star(* 0.10 ** 0.05 *** 0.01) nonum type     	

esttab output1 output2 output3 using Table_1.tex, drop(*) f a 	noobs nomtitles nonum wrap nogaps

esttab output1 output2 output3 using Table_1.tex, drop(*) f a ///
noobs scalars("N Observations" "msas Number of MSAs" "r2_a Adj. R$^2$") sfmt(%9.0fc %9.0fc %9.2fc) nomtitles nonum wrap nolines nogaps



