*INCOME AS A FORECASTING INDICATOR OF FUTURE DEMAND
cd "$dataPath/ConstructedData"
set more off
use panel_use, clear


global ctrls "lrwage ur lpop dep_ratio black_pop hispan_pop dlcpi dom_mig_pop int_mig_pop dlrmort_org l1.dlrinc_cap cv_inc_cap20"

*A) Unemployment rate
eststo clear
forvalues i=4(4)16{
xtset msa_num time
ivreghdfe d`i'ur_cum lrinc l(1/4).ur $ctrls if sample==1, absorb(msa_num time) robust bw(16)
g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_dum = (msa_nr == 1 & in_sample == 1)
egen nr_msas = total(msa_dum)
estadd scalar msas = nr_msas
drop in_sample msa_nr msa_dum nr_msas 
eststo output`i'
}
cd "$outputTables"
esttab output4 output8 output12 output16 using Table_2a.tex, keep(lrinc) f replace ///
b(2) se(2) sfmt(2) noobs se label coeflabels(lrinc "log(Inc.)") nolines nogap  nomtitles star(* 0.10 ** 0.05 *** 0.01) nonum type     	

esttab output4 output8 output12 output16 using Table_2a.tex, drop(*) f a noobs nomtitles nonum wrap nogaps

esttab output4 output8 output12 output16 using Table_2a.tex, drop(*) f a ///
noobs scalars("N Observations" "msas Number of MSAs" "r2_a Adj. R$^2$") sfmt(%9.0fc %9.0fc %9.2fc) nomtitles nonum wrap nolines nogaps

*B) Employment-population ratio
eststo clear
forvalues i=4(4)16{
xtset msa_num time
ivreghdfe d`i'nfp_pop_wa_cum lrinc l(1/4).nfp_pop_wa $ctrls if sample==1, absorb(msa_num time) robust bw(16)
g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_dum = (msa_nr == 1 & in_sample == 1)
egen nr_msas = total(msa_dum)
estadd scalar msas = nr_msas
drop in_sample msa_nr msa_dum nr_msas 
eststo output`i'
}
cd "$outputTables"
esttab output4 output8 output12 output16 using Table_2b.tex, keep(lrinc) f replace ///
b(2) se(2) sfmt(2) noobs se label coeflabels(lrinc "log(Inc.)")  nolines nogap nomtitles star(* 0.10 ** 0.05 *** 0.01) nonum type     	

esttab output4 output8 output12 output16 using Table_2b.tex, drop(*) f a noobs nomtitles nonum wrap nogaps

esttab output4 output8 output12 output16 using Table_2b.tex, drop(*) f a ///
noobs scalars("N Observations" "msas Number of MSAs" "r2_a Adj. R$^2$") sfmt(%9.0fc %9.0fc %9.2fc) nomtitles nonum wrap nolines nogaps

*C) Vacancy rates (rental and owner-occupied)
eststo clear
xtset msa_num time

*Change in future vacancy rates
eststo clear
forvalues i=4(4)16{
xtset msa_num time
ivreghdfe d`i'home_vacant_cum lrinc l(1/4).home_vacant $ctrls if sample==1, absorb(msa_num time) robust bw(16)
g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_dum = (msa_nr == 1 & in_sample == 1)
egen nr_msas = total(msa_dum)
estadd scalar msas = nr_msas
drop in_sample msa_nr msa_dum nr_msas 
eststo output`i'
}
cd "$outputTables"
esttab output4 output8 output12 output16 using Table_2c.tex, keep(lrinc) f replace ///
b(2) se(2) sfmt(2) noobs se label coeflabels(lrinc "log(Inc.)") nolines nogap nomtitles star(* 0.10 ** 0.05 *** 0.01) nonum type     	

esttab output4 output8 output12 output16 using Table_2c.tex, drop(*) f a noobs nomtitles nonum wrap nogaps

esttab output4 output8 output12 output16 using Table_2c.tex, drop(*) f a ///
noobs scalars("N Observations" "msas Number of MSAs" "r2_a Adj. R$^2$") sfmt(%9.0fc %9.0fc %9.2fc) nomtitles nonum wrap nolines nogaps


