set more off
cd "$dataPath/ConstructedData"
use panel_use, clear

eststo clear
xtset msa_num time
foreach z in dum06 dum19 {
sort msa_num time

sort msa_num time
ivreghdfe lpermits l(1/1).lpermits $ctrls  (lrhpi lrhpi_unaval lrhpi_wrluri = lprop_crime lprop_crime_wrluri lprop_crime_unaval lrinc lrinc_wrluri lrinc_unaval) if `z'==1 & sample==1, robust absorb(msa_num time)

g in_sample =  e(sample)
bysort msa_num in_sample: g msa_nr = _n 
g msa_`z' = (msa_nr == 1 & in_sample == 1)

qui replace elast =_b[lrhpi] + _b[lrhpi_unaval]*unaval + _b[lrhpi_wrluri]*wrluri if `z'==1 & sample==1 

drop in_sample msa_nr 
}

replace elast = 0 if elast<0

g elast06_help = elast if dum06 == 1
bysort msa_num : egen elast06 = median(elast06)
g elast19_help = elast if dum19 == 1
bysort msa_num : egen elast19 = median(elast19)

g delast_booms = 100*(elast19-elast06)/elast06 
bysort msa_num : g dup_msa = _n
keep if dup_msa == 1


*Bootstrapping with 1,000 replications
eststo clear
bootstrap, reps(1000): reg delast_booms dland_reg_cs_booms 
eststo output_1
bootstrap, reps(1000): reg delast_booms dland_reg_cs_booms drhpi12
eststo output_2
bootstrap, reps(1000): reg delast_booms dland_reg_cs_booms drhpi12 $ctrls_cs
eststo output_3


cd "$outputTables"
esttab output_1 output_2 output_3 using Table_4.tex, keep(dland_reg_cs_booms drhpi12 $ctrls_cs) f replace ///
b(2) se(2) sfmt(2) noobs se label coeflabels(dland_reg_cs_booms "$\Delta$ Land reg." drhpi12 "$\Delta$ HPI$^{06-12}$" dpop_density_booms "$\Delta$ Pop. den." drwage_booms "$\Delta$ Wage" dur_booms "$\Delta$ Unemp." hpinc_pc2012q2 "HP-to-inc.$^{2012}$" pop_density2012q2  "Pop. den.$^{2012}$")  mtitles("(I)" "(II)" "(III)") star(* 0.10 ** 0.05 *** 0.01) nonum type     	

esttab output_1 output_2 output_3 using Table_4.tex, drop(*) f a 	noobs nomtitles nonum wrap nogaps

esttab output_1 output_2 output_3 using Table_4.tex, drop(*) f a ///
noobs scalars("N Observations" "N Observations") nomtitles nonum wrap nolines nogaps





